import { Request, Response } from 'express';
import { createHolidayDto, holidayFilterDto, updateHolidayDto } from './holidays.dto';
import { HolidaysService } from './holidays.service';
export declare class HolidaysController {
    private readonly service;
    constructor(service: HolidaysService);
    create(data: createHolidayDto, owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    getAll(query: holidayFilterDto, owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    find(holidayId: string, owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    update(holidayId: string, owner_id: string, data: updateHolidayDto, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    delete(holidayId: string, owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
}
